clang 10.0.0git

Namespaces | Typedefs
PreprocessorExcludedConditionalDirectiveSkipMapping.h File Reference
`#include "clang/Basic/LLVM.h"`
`#include "llvm/ADT/DenseMap.h"`
`#include "llvm/Support/MemoryBuffer.h"`
Include dependency graph for PreprocessorExcludedConditionalDirectiveSkipMapping.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.

## Typedefs
using | clang::PreprocessorSkippedRangeMapping = llvm::DenseMap< unsigned, unsigned >
| A mapping from an offset into a buffer to the number of bytes that can be skipped by the preprocessor when skipping over excluded conditional directive ranges. More...
using | clang::ExcludedPreprocessorDirectiveSkipMapping = llvm::DenseMap< const llvm::MemoryBuffer *, const PreprocessorSkippedRangeMapping * >
| The datastructure that holds the mapping between the active memory buffers and the individual skip mappings. More...